package javax.swing;

import java.io.PrintStream;
import java.util.Hashtable;
import java.awt.Color;

class DebugGraphicsInfo
{
    Color flashColor;
    int flashTime;
    int flashCount;
    Hashtable<JComponent, Integer> componentToDebug;
    JFrame debugFrame;
    PrintStream stream;
    
    DebugGraphicsInfo() {
        this.flashColor = Color.red;
        this.flashTime = 100;
        this.flashCount = 2;
        this.debugFrame = null;
        this.stream = System.out;
    }
    
    void setDebugOptions(JComponent component, int i) {
        if (i == 0) {
            return;
        }
        if (this.componentToDebug == null) {
            this.componentToDebug = new Hashtable();
        }
        if (i > 0) {
            this.componentToDebug.put(component, Integer.valueOf(i));
        }
        else {
            this.componentToDebug.remove(component);
        }
        return;
    }
    
    int getDebugOptions(JComponent key) {
        if (this.componentToDebug == null) {
            return 0;
        }
        Integer n = (Integer)this.componentToDebug.get(key);
        return (n == null) ? 0 : ((int)n);
    }
    
    void log(String x) {
        this.stream.println(x);
    }
}
